$(function(){
$("#chart").dxChart({
rotated: true,
pointSelectionMode: "multiple",
dataSource: dataSource,
commonSeriesSettings: {
argumentField: "country",
type: "stackedbar",
selectionStyle: {
hatching: {
direction: "left"
}
}
},
series: [
{ valueField: "gold", name: "Gold Medals", color: "#ffd700" },
{ valueField: "silver", name: "Silver Medals", color: "#c0c0c0" },
{ valueField: "bronze", name: "Bronze Medals", color: "#cd7f32" }
],
title: {
text: "Olympic Medals in 2008"
},
"export": {
enabled: true
},
legend: {
verticalAlignment: "bottom",
horizontalAlignment: "center"
},
onPointClick: function(e) {
var point = e.target;
if(point.isSelected()) {
point.clearSelection();
} else {
point.select();
}
}
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.5/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
var dataSource = [{
country: "USA",
gold: 36,
silver: 38,
bronze: 36
}, {
country: "China",
gold: 51,
silver: 21,
bronze: 28
}, {
country: "Russia",
gold: 23,
silver: 21,
bronze: 28
}, {
country: "Britain",
gold: 19,
silver: 13,
bronze: 15
}, {
country: "Australia",
gold: 14,
silver: 15,
bronze: 17
}, {
country: "Germany",
gold: 16,
silver: 10,
bronze: 15
}];

import React from 'react';
import Chart, {
CommonSeriesSettings,
SelectionStyle,
Hatching,
Series,
Legend,
Export,
} from 'devextreme-react/chart';
import { medalSources, medalStatistics } from './data.js';
class App extends React.Component {
render() {
return (
<Chart
id="chart"
dataSource={medalStatistics}
rotated={true}
pointSelectionMode="multiple"
onPointClick={onPointClick}
title="Olympic Medals in 2008"
>
<CommonSeriesSettings
argumentField="country"
type="stackedbar"
>
<SelectionStyle>
<Hatching direction="left" />
</SelectionStyle>
</CommonSeriesSettings>
{
medalSources.map(({ value, name, color }) => <Series
key={value}
valueField={value}
name={name}
color={color} />)
}
<Legend
verticalAlignment="bottom"
horizontalAlignment="center">
</Legend>
<Export enabled={true} />
</Chart>
);
}
}
function onPointClick({ target: point }) {
if (point.isSelected()) {
point.clearSelection();
} else {
point.select();
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
export const medalSources = [
{ value: 'gold', name: 'Gold Medals', color: '#ffd700' },
{ value: 'silver', name: 'Silver Medals', color: '#c0c0c0' },
{ value: 'bronze', name: 'Bronze Medals', color: '#cd7f32' },
];
export const medalStatistics = [{
country: 'USA',
gold: 36,
silver: 38,
bronze: 36,
}, {
country: 'China',
gold: 51,
silver: 21,
bronze: 28,
}, {
country: 'Russia',
gold: 23,
silver: 21,
bronze: 28,
}, {
country: 'Britain',
gold: 19,
silver: 13,
bronze: 15,
}, {
country: 'Australia',
gold: 14,
silver: 15,
bronze: 17,
}, {
country: 'Germany',
gold: 16,
silver: 10,
bronze: 15,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.1.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.57/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.30/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<dx-chart
id="chart"
[dataSource]="medalsInfo"
pointSelectionMode="multiple"
[rotated]="true"
title="Olympic Medals in 2008"
(onPointClick)="pointClick($event)">
<dxi-series valueField="gold" name="Gold Medals" color="#ffd700"></dxi-series>
<dxi-series valueField="silver" name="Silver Medals" color="#c0c0c0"></dxi-series>
<dxi-series valueField="bronze" name="Bronze Medals" color="#cd7f32"></dxi-series>
<dxo-common-series-settings
argumentField="country"
type="stackedbar">
<dxo-selection-style>
<dxo-hatching direction="left"></dxo-hatching>
</dxo-selection-style>
</dxo-common-series-settings>
<dxo-legend
verticalAlignment="bottom"
horizontalAlignment="center">
</dxo-legend>
<dxo-export [enabled]="true"></dxo-export>
</dx-chart>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxChartModule } from 'devextreme-angular';
import { Service, MedalsInfo } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css']
})
export class AppComponent {
medalsInfo: MedalsInfo[];
constructor(service: Service) {
this.medalsInfo = service.getMedalsInfo();
}
pointClick(e: any) {
var point = e.target;
if(point.isSelected()) {
point.clearSelection();
} else {
point.select();
}
}
}
@NgModule({
imports: [
BrowserModule,
DxChartModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #chart {
height: 440px;
}
import { Injectable } from '@angular/core';
export class MedalsInfo {
country: string;
gold: number;
silver: number;
bronze: number;
}
let medalsInfo: MedalsInfo[] = [{
country: "USA",
gold: 36,
silver: 38,
bronze: 36
}, {
country: "China",
gold: 51,
silver: 21,
bronze: 28
}, {
country: "Russia",
gold: 23,
silver: 21,
bronze: 28
}, {
country: "Britain",
gold: 19,
silver: 13,
bronze: 15
}, {
country: "Australia",
gold: 14,
silver: 15,
bronze: 17
}, {
country: "Germany",
gold: 16,
silver: 10,
bronze: 15
}];
@Injectable()
export class Service {
getMedalsInfo(): MedalsInfo[] {
return medalsInfo;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.26.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.6',
'jszip': 'npm:jszip@3.6.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.10.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.18',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.24',
'devextreme-angular': 'npm:devextreme-angular@20.2.6',
'preact': 'npm:preact@10.5.13/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.13/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<DxChart
id="chart"
:data-source="medalStatistics"
:rotated="true"
point-selection-mode="multiple"
title="Olympic Medals in 2008"
@point-click="onPointClick"
>
<DxCommonSeriesSettings
argument-field="country"
type="stackedbar"
>
<DxSelectionStyle>
<DxHatching direction="left"/>
</DxSelectionStyle>
</DxCommonSeriesSettings>
<DxSeries
v-for="medal in medalSources"
:key="medal.value"
:value-field="medal.value"
:name="medal.name"
:color="medal.color"
/>
<DxLegend
vertical-alignment="bottom"
horizontal-alignment="center"
/>
<DxExport :enabled="true"/>
</DxChart>
</template>
<script>
import DxChart, {
DxCommonSeriesSettings,
DxSelectionStyle,
DxHatching,
DxSeries,
DxLegend,
DxExport,
} from 'devextreme-vue/chart';
import { medalSources, medalStatistics } from './data.js';
export default {
components: {
DxChart,
DxCommonSeriesSettings,
DxSelectionStyle,
DxHatching,
DxSeries,
DxLegend,
DxExport,
},
data() {
return {
medalSources,
medalStatistics,
};
},
methods: {
onPointClick({ target: point }) {
if (point.isSelected()) {
point.clearSelection();
} else {
point.select();
}
},
},
};
</script>
<style>
#chart {
height: 440px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const medalSources = [
{ value: 'gold', name: 'Gold Medals', color: '#ffd700' },
{ value: 'silver', name: 'Silver Medals', color: '#c0c0c0' },
{ value: 'bronze', name: 'Bronze Medals', color: '#cd7f32' },
];
export const medalStatistics = [{
country: 'USA',
gold: 36,
silver: 38,
bronze: 36,
}, {
country: 'China',
gold: 51,
silver: 21,
bronze: 28,
}, {
country: 'Russia',
gold: 23,
silver: 21,
bronze: 28,
}, {
country: 'Britain',
gold: 19,
silver: 13,
bronze: 15,
}, {
country: 'Australia',
gold: 14,
silver: 15,
bronze: 17,
}, {
country: 'Germany',
gold: 16,
silver: 10,
bronze: 15,
}];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.1.4',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);